package infoh509.tp3.jdom.ex1;

import org.jdom.Element;
import org.jdom.filter.ElementFilter;

/**
 * Un filtre qui ne retient que les elements orders ayant le client specifie.
 */
public class CustomerOrdersFilter extends ElementFilter {
	private static final long serialVersionUID = 833629796408702930L;
	private String customer;

	public CustomerOrdersFilter(String customer) {
		super("Order");
		this.customer = customer;
	}

	@Override
	public boolean matches(Object arg0) {
		if (super.matches(arg0)) {
			Element e = (Element)arg0;
			return e.getChildText("CustomerID").trim().equals(customer);
		}
		return false;
	}
}
